• Share
    • Twitter
    • LinkedIn
    • Facebook
    • Email
  • Feedback
  • Edit
Show / Hide Table of Contents

POST Agents/Person/GetPersonSummary

Some tooltip text!
• 3 minutes to read
 • 3 minutes to read
POST /api/v1/Agents/Person/GetPersonSummary

Get summary of person and recent activity.

NsApiSlow threshold: 2000 ms.

Query String Parameters

Parameter Name Type Description
$select string Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.
POST /api/v1/Agents/Person/GetPersonSummary?$select=name,department,category/id

Request Headers

Parameter Name Description
Authorization Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type.
X-XSRF-TOKEN If not using Authorization header, you must provide XSRF value from cookie or hidden input field
Content-Type Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json
Accept Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json
Accept-Language Convert string references and multi-language values into a specified language (iso2) code.
SO-Language Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
SO-Culture Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
SO-TimeZone Specify the timezone code that you would like date/time responses converted to.
SO-AppToken The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Request Body: request

PersonId, Limit

Property Name Type Description
PersonId Integer
Limit Integer

Response:

OK

Response Description
200 OK

Response body: PersonSummary

Property Name Type Description
Person Person Simple Person data.
Tickets array Recent tickets on person
Followups array Recent follow-ups on person
Documents array Recent documents on person
Sales array Recent sales on person
Chats array Recent chats with person

Sample request

POST /api/v1/Agents/Person/GetPersonSummary
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: fr,de,ru,zh
Content-Type: application/json; charset=utf-8

{
  "PersonId": 536,
  "Limit": 634
}

Sample response

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
  "Person": null,
  "Tickets": [
    {
      "TicketId": 835,
      "TicketStatus": 672,
      "Title": "quia",
      "Registered": "2016-05-21T10:11:00.7025566+02:00",
      "IconHint": "non"
    },
    {
      "TicketId": 835,
      "TicketStatus": 672,
      "Title": "quia",
      "Registered": "2016-05-21T10:11:00.7025566+02:00",
      "IconHint": "non"
    }
  ],
  "Followups": [
    {
      "AppointmentId": 683,
      "DocumentId": 151,
      "Date": "2023-01-05T10:11:00.7025566+01:00",
      "Description": "Seamless grid-enabled forecast",
      "Completed": "Completed",
      "Registered": "2018-05-18T10:11:00.7025566+02:00"
    },
    {
      "AppointmentId": 683,
      "DocumentId": 151,
      "Date": "2023-01-05T10:11:00.7025566+01:00",
      "Description": "Seamless grid-enabled forecast",
      "Completed": "Completed",
      "Registered": "2018-05-18T10:11:00.7025566+02:00"
    }
  ],
  "Documents": [
    {
      "AppointmentId": 363,
      "DocumentId": 491,
      "Date": "2002-07-05T10:11:00.7025566+02:00",
      "Description": "Networked foreground structure",
      "Completed": "Completed",
      "Registered": "2014-07-29T10:11:00.7035565+02:00"
    },
    {
      "AppointmentId": 363,
      "DocumentId": 491,
      "Date": "2002-07-05T10:11:00.7025566+02:00",
      "Description": "Networked foreground structure",
      "Completed": "Completed",
      "Registered": "2014-07-29T10:11:00.7035565+02:00"
    }
  ],
  "Sales": [
    {
      "SaleId": 605,
      "SaleDate": "2010-07-14T10:11:00.7035565+02:00",
      "Probability": 479,
      "Heading": "voluptatem",
      "Amount": 25607.914,
      "Currency": "facere",
      "AmountInBaseCurrency": 25990.262,
      "Status": "Lost",
      "Completed": "Completed",
      "Registered": "2007-10-05T10:11:00.7035565+02:00"
    }
  ],
  "Chats": [
    {
      "ChatSessionId": 986,
      "Name": "Christiansen-Mosciski",
      "CompanyName": "Yost, Kassulke and Torphy",
      "FirstMessage": "in",
      "LastMessage": "doloribus",
      "WhenRequested": "2005-06-01T10:11:00.7035565+02:00",
      "WhenEnded": "2010-02-16T10:11:00.7035565+01:00"
    }
  ]
}
© SuperOffice. All rights reserved.
SuperOffice |  Community |  Release Notes |  Privacy |  Site feedback |  Search Docs |  About Docs |  Contribute |  Back to top